Update payout settings
POST /api/apps/:app_id/payout/settings
curl --request POST \
--url https://api.example.com/api/apps/{app_id}/payout/settings \
--header 'Content-Type: application/json' \
--data '
{
"auto_payout_enabled": true,
"locked_balance": 1,
"min_payout": 1,
"payout_destination": "<string>",
"payout_threshold": 1
}
'import requests
url = "https://api.example.com/api/apps/{app_id}/payout/settings"
payload = {
"auto_payout_enabled": True,
"locked_balance": 1,
"min_payout": 1,
"payout_destination": "<string>",
"payout_threshold": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
auto_payout_enabled: true,
locked_balance: 1,
min_payout: 1,
payout_destination: '<string>',
payout_threshold: 1
})
};
fetch('https://api.example.com/api/apps/{app_id}/payout/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payout
Update payout settings POST /api/apps/:app_id/payout/settings
POST
/
api
/
apps
/
{app_id}
/
payout
/
settings
Update payout settings
POST /api/apps/:app_id/payout/settings
Path Parameters
Application ID
Body
application/json
Request body for updating payout settings
Enable automatic payouts when threshold is reached
Locked balance that cannot be withdrawn (in utia) Can only be set once during initial configuration or increased
Required range:
x >= 0Minimum payout amount (in utia)
Required range:
x >= 0Destination address for payouts
Balance threshold that triggers auto-payout (in utia)
Required range:
x >= 0Response
Payout settings updated successfully
⌘I